:TOP
rem     wcOIMP.BAT v1.11 revised 10/18/1998
rem     To skip any part of the batch, use a GOTO
rem     statement to jump to the area desired.
rem     For instance, a GOTO SET here
rem     would take you to the next part of the
rem     batch file, a mandatory part for a BBS.

:SET
rem     You should use a node not already in use for this.
rem     You should probably use the highest number node you have.
rem     Remember to replace my system variables with your own.
SET PKNOFASTCHAR=ON
SET DSZPORT=100
SET DSZLOG=C:\WILDCAT\WCWORK\NODE100\DSZ.LOG
SET WCMDM=
SET WCPORTID=0
SET WCNODEID=100
SET WCHOME=C:\WILDCAT
SET HOMEPATH=C:\WILDCAT\
SET WCPROMPT=C:\WILDCAT\LANGUAGE\
SET NODEPATH=C:\WILDCAT\WCWORK\NODE100\

:RUN
c:
cd \wildcat
rem     wcGate and wcMail are unrelated, and don't need to be run at the same
rem     time.  You could create separate batch files for each, so they could
rem     be scheduled to run at different times.

:BBS
rem     This creates the outgoing message packets.
rem     QWK if your BBS is the hub (sending it down line).
rem     REP if your BBS is just a node replying to the hub (end of the line).
rem     "Camelot" is the hub where I get my QWK messages.
rem     On my system this is run once an hour.  If no packet is created,
rem     nothing is sent.
wcgate e q h:camelot v

:PERSON
rem     This creates the QWK message packets for the regular callers to my BBS.
rem     Use actual persons name here (*NOT* user ID).
rem     "Diamond Zircon", "Flame War" and "User Name" are users on my BBS.
rem     Every Wildcat! user has a unique USER ID number that is reused every
rem     time the /prescan is used.  For instance, Diamonds' user number is 899.
rem     On my system this is run once a day.
wcmail Diamond Zircon /prescan
wcmail Flame War /prescan
wcmail User Name /prescan

:ATTACH
rem     This creates a daily package of BBS info that gets sent to people that
rem     don't want QWK packets, but want to know what is going on with the BBS.
rem     On my system this is run once a day.
pkzip daily c:\wildcat\text\joke.txt
pkzip daily c:\wildcat\bull\bull1??.bbs

:wcOIMP
rem     This is how I use it on my system, but the program is written so that
rem     it doesn't matter what directory the *.WCX, *.CFG and *.CTL files are
rem     stored in.  But, *ALL* the *.WCX, *.CFG and *.CTL files must be in the
rem     same directory to function. See the wcoimp.doc file for detailed info.
cd \wildcat
wildcat /r c:\wcaddons\wcoimp\wcoimp.wcx

:RESET
rem     Return your settings to what they were originally, before this batch
rem     file was run.
rem     Remember to replace my system variables with your own.
SET PKNOFASTCHAR=ON
SET DSZPORT=1
SET DSZLOG=C:\WILDCAT\WCWORK\NODE1\DSZ.LOG
SET WCMDM=USR
SET WCPORTID=1
SET WCBASEID=$3F8
SET WCIRQID=4
SET WCNODEID=1
SET WCHOME=C:\WILDCAT
SET HOMEPATH=C:\WILDCAT\
SET WCPROMPT=C:\WILDCAT\LANGUAGE\
SET NODEPATH=C:\WILDCAT\WCWORK\NODE1\
goto NEXT

:NEXT
